REST API
Build with PryceScan
Access competitive pricing data through our REST API.
Quick Start
Make your first API call in 5 minutes
API Reference
Full endpoint documentation by resource
Authentication
API keys, bearer tokens, and permissions
Rate Limits
Limits by plan and best practices
Error Codes
Standard error format and resolution
Webhooks
Real-time event notifications (Advanced)
Get your products in one call
curl https://app.prycescan.com/api/v1/products \ -H "Authorization: Bearer ps_your_api_key_here"
{
"data": [
{
"id": "a1b2c3d4-...",
"sku": "KSM156",
"name": "KitchenAid Artisan Stand Mixer",
"currentPrice": "899.00",
"smartPrice": "849.00",
"competitorCount": 8,
"position": "mid"
}
],
"meta": { "total": 1, "page": 1, "perPage": 50 }
}Get Your API Key
API access requires the Pro plan or above.